<?php
/*
Plugin Name: WooCommerce International Phone
Description: Adds a country selector for the WooCommerce phone field
Author: Václav Greif
Version: 1.0
Author URI: https://wp-programator.cz/
*/

namespace WooIntPhone;
DEFINE('WOOINTPHONE_PLUGIN_URL',plugins_url('/',__FILE__));

final class Init
{
    /**
     * Call this method to get singleton
     *
     * @return Init
     */
    public static function Instance()
    {
        static $inst = null;
        if ($inst === null) {
            $inst = new Init();
        }
        return $inst;
    }

    /**
     * Private ctor so nobody else can instance it
     *
     */
    private function __construct()
    {
        $this->require_classes();
        $this->add_actions();
    }

    /**
     * Require classes
     */
    function require_classes() {
        //require_once('lib/somefile.php');
    }

    /**
     * Add actions
     */
    function add_actions() {
        add_action( 'wp_enqueue_scripts', array($this,'enqueue_frontend_scripts'));
        //add_action('',array($this,'some_function');
    }

    /**
     * Enqueue frontend scripts
     */
    function enqueue_frontend_scripts() {
	    wp_enqueue_script( 'intl-tel-input', WOOINTPHONE_PLUGIN_URL . 'lib/intl-tel-input/js/intlTelInput.min.js', array('jquery'), false, true );
	    wp_enqueue_script( 'intl-tel-input-utils', WOOINTPHONE_PLUGIN_URL . 'lib/intl-tel-input/js/utils.js', array('jquery'), false, true );
	    wp_enqueue_style( 'intl-tel-input', WOOINTPHONE_PLUGIN_URL . 'lib/intl-tel-input/css/intlTelInput.css');
	    wp_enqueue_script( 'woo-int-phone', WOOINTPHONE_PLUGIN_URL . 'js/woointphone.js',array('jquery'));
	    wp_enqueue_style( 'woo-int-phone', WOOINTPHONE_PLUGIN_URL . 'css/woointphone.css');
	    wp_localize_script('woo-int-phone','woointphone',
		    [
	    	'utilsUrl' => WOOINTPHONE_PLUGIN_URL . 'lib/intl-tel-input/js/utils.js'
	    ]
	    );
    }


}

Init::Instance();